|  | Home · All Classes · Modules

# QTextDocumentFragment Class Reference
[QtGui module]

The QTextDocumentFragment class represents a piece of formatted text from a QTextDocument. More...

### Methods

- __init__ (self)
- __init__ (self, QTextDocument)
- __init__ (self, QTextCursor)
- __init__ (self, QTextDocumentFragment)
- bool isEmpty (self)
- QString toHtml (self)
- QString toHtml (self, QByteArray)
- QString toPlainText (self)

### Static Methods

- QTextDocumentFragment fromHtml (QString)
- QTextDocumentFragment fromHtml (QString, QTextDocument)
- QTextDocumentFragment fromPlainText (QString)

## Detailed Description

The QTextDocumentFragment class represents a piece of formatted text from a QTextDocument.

A QTextDocumentFragment is a fragment of rich text, that can be inserted into a QTextDocument. A document fragment can be created from a QTextDocument, from a QTextCursor's selection, or from another document fragment. Document fragments can also be created by the static functions, fromPlainText() and fromHtml().

The contents of a document fragment can be obtained as plain text by using the toPlainText() function, or it can be obtained as HTML with toHtml().

## Method Documentation

### QTextDocumentFragment.__init__ (self)

Constructs an empty QTextDocumentFragment.

See also isEmpty().

### QTextDocumentFragment.__init__ (self, QTextDocument)

Converts the given document into a QTextDocumentFragment. Note that the QTextDocumentFragment only stores the document contents, not meta information like the document's title.

### QTextDocumentFragment.__init__ (self, QTextCursor)

Creates a QTextDocumentFragment from the cursor's selection. If the cursor doesn't have a selection, the created fragment is empty.

See also isEmpty() and QTextCursor.selection().

### QTextDocumentFragment.__init__ (self, QTextDocumentFragment)

Copy constructor. Creates a copy of the other fragment.

### QTextDocumentFragment QTextDocumentFragment.fromHtml (QString)

Returns a QTextDocumentFragment based on the arbitrary piece of HTML in the given text. The formatting is preserved as much as possible; for example, "<b>bold</b>" will become a document fragment with the text "bold" with a bold character format.

### QTextDocumentFragment QTextDocumentFragment.fromHtml (QString, QTextDocument)

Returns a QTextDocumentFragment based on the arbitrary piece of HTML in the given text. The formatting is preserved as much as possible; for example, "<b>bold</b>" will become a document fragment with the text "bold" with a bold character format.

If the provided HTML contains references to external resources such as imported style sheets, then they will be loaded through the resourceProvider.

This function was introduced in Qt 4.2.

### QTextDocumentFragment QTextDocumentFragment.fromPlainText (QString)

Returns a document fragment that contains the given plainText.

When inserting such a fragment into a QTextDocument the current char format of the QTextCursor used for insertion is used as format for the text.

### bool QTextDocumentFragment.isEmpty (self)

Returns true if the fragment is empty; otherwise returns false.

### QString QTextDocumentFragment.toHtml (self)

Returns the contents of the document fragment as HTML, using the specified encoding (e.g., "UTF-8", "ISO 8859-1").

This function was introduced in Qt 4.2.

See also toPlainText(), QTextDocument.toHtml(), and QTextCodec.

### QString QTextDocumentFragment.toHtml (self, QByteArray)

This is an overloaded function.

### QString QTextDocumentFragment.toPlainText (self)

Returns the document fragment's text as plain text (i.e. with no formatting information).

See also toHtml().